JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Value::Listener Class Referenceabstract
juce_data_structures » values

Receives callbacks when a Value object changes. More...

`#include <juce_Value.h>`

Inheritance diagram for Value::Listener:

## Public Member Functions
| Listener ()=default
virtual | ~Listener ()=default
virtual void | valueChanged (Value &value)=0
| Called when a Value object is changed.

## Detailed Description

Receives callbacks when a Value object changes.

See also
  Value::addListener

## Constructor & Destructor Documentation

## ◆ Listener()

Value::Listener::Listener | ( |  | ) |
| default

## ◆ ~Listener()

virtual Value::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ valueChanged()

virtual void Value::Listener::valueChanged | ( | Value & | value | ) |
| pure virtual

Called when a Value object is changed.

Note that the Value object passed as a parameter may not be exactly the same object that you registered the listener with - it might be a copy that refers to the same underlying ValueSource. To find out, you can call Value::refersToSameSourceAs().

Implemented in ComboBox, Label, and StandalonePluginHolder.

The documentation for this class was generated from the following file:

- juce_Value.h